Subject: Re: bug#43866: 26.3; italian postfix additions

From: Juri Linkov <[email-masked]>
Date: Wed, 14 Oct 2020 22:40:48 +0300

>> > How about making a new input method for those?  It seems to me that
>> > C-x 8 is already too "fat".
>>
>> Yes, a new method might be useful as well.  But since such method can't
>> be enabled all the time because such sequences as "= E" should be inserted
>> literally in normal circumstances.  So such method needs to be enabled
>> temporarily, and it takes more time to enable/disable it, while it's
>> useful only to insert a single special character sometimes, it would be
>> much easier to type some prefix key before typing "= E" to insert €
>> when such a need arises occasionally.
>
> But turning an input method on and off is just 1 key, C-\, whereas

1 key C-\ to enable, and 1 key C-\ to disable.  Also might need to select
another input method name from 'C-u C-\' when also using other input methods.

> C-x 8 is 2 keys, and not very convenient sequence to type, at least on
> QWERTY keyboards.

I agree, C-x 8 is not easy to type.

> So it looks like a dedicated input method will still be a win.

A win for some users, not a win for other users, so adding both
(an input method and a prefix key) would be fine for all.

> I don't think it's right that the only Unicode input method we have is
> TeX -- that is great for TeX users, but many people don't use (La)TeX,
> and will find it unintuitive to type the TeX sequences.

It seems the TeX input method requires typing whole Unicode names,
or at least unambiguous parts of names, e.g. '\euro' inserts €,
'\smile' inserts ⌣, but can't type '\smiling face with sunglasses'.
Also I see a hex Unicode input method in uni-input.el that supports
e.g. U<hex> or u<hex>, RFC1345 mnemonics in rfc1345.el,
SGML entities in sgml-input.el.  So adding a X11 Compose method would be handy.